[openssh-commits] [openssh] 04/04: upstream: also check that an active session inhibits

git+noreply at mindrot.org git+noreply at mindrot.org
Tue Jan 17 21:16:18 AEDT 2023


This is an automated email from the git hooks/post-receive script.

djm pushed a commit to branch master
in repository openssh.

commit 12492c0abf1eb415d08a897cc1d8b9e789888230
Author: djm at openbsd.org <djm at openbsd.org>
Date:   Tue Jan 17 10:15:10 2023 +0000

    upstream: also check that an active session inhibits
    
    UnusedConnectionTimeout idea markus@
    
    OpenBSD-Regress-ID: 55c0fb61f3bf9e092b0a53f9041d3d2012f14003
---
 regress/connection-timeout.sh | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/regress/connection-timeout.sh b/regress/connection-timeout.sh
index adaf8bab..6c0c0b22 100644
--- a/regress/connection-timeout.sh
+++ b/regress/connection-timeout.sh
@@ -1,4 +1,4 @@
-#	$OpenBSD: connection-timeout.sh,v 1.1 2023/01/17 10:02:34 djm Exp $
+#	$OpenBSD: connection-timeout.sh,v 1.2 2023/01/17 10:15:10 djm Exp $
 #	Placed in the Public Domain.
 
 tid="unused connection timeout"
@@ -58,10 +58,17 @@ sleep 8
 check_ssh && fail "ssh unexpectedly present"
 stop_ssh
 
+verbose "session inhibits timeout"
+rm -f $OBJ/copy.1
+start_ssh
+${REAL_SSH} -qoControlPath=$CTL -oControlMaster=no -Fnone somehost \
+	"sleep 8; touch $OBJ/copy.1" &
+check_ssh || fail "ssh unexpectedly missing"
+wait
+test -f $OBJ/copy.1 || fail "missing result file"
+
 verbose "timeout after session"
-start_ssh
-${REAL_SSH} -qoControlPath=$CTL -oControlMaster=no -Fnone somehost "exit 0" ||
-	fail "session failed"
+# Session should still be running from previous
 sleep 8
 check_ssh && fail "ssh unexpectedly present"
 stop_ssh

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list